"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                             */
;/* empty css                                                                */
const Vue = require("vue");
const Node = require("./Node.vue2.js");
;/* empty css               */
const _pluginVue_exportHelper = require("../../../../../_virtual/_plugin-vue_export-helper.js");
const index = require("../../../../../node_modules/element-plus/es/components/text/index.js");
const _hoisted_1 = { class: "start-node" };
const _sfc_main = {
  __name: "StartNode",
  props: {
    node: Object
  },
  setup(__props) {
    const { nodesError } = Vue.inject("flowDesign", { nodesError: Vue.ref({}) });
    return (_ctx, _cache) => {
      const _component_el_text = index.ElText;
      return Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
        Vue.createVNode(Node.default, Vue.mergeProps(_ctx.$attrs, {
          icon: "el:List",
          close: false,
          color: "linear-gradient(89.96deg, #a89bfa .05%, #8c7cf3 79.83%)",
          node: __props.node
        }), {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_text, null, {
              default: Vue.withCtx(() => _cache[0] || (_cache[0] = [
                Vue.createTextVNode("事件开始")
              ])),
              _: 1
            })
          ]),
          _: 1
        }, 16, ["node"])
      ]);
    };
  }
};
const Start = /* @__PURE__ */ _pluginVue_exportHelper.default(_sfc_main, [["__scopeId", "data-v-699b6864"]]);
exports.default = Start;
